Subject: bug#54305: disk utility fail format fat

From: Roman Riabenko <[email-masked]>
Date: Tue, 24 May 2022 10:38:43 +0300

Hello

The upstream implemented the check for vfat and closed the issue.
https://gitlab.gnome.org/GNOME/gnome-disk-utility/-/commit/15462f9c87c08c5af77a31993c1d87cb34d04861

(It is not included in Disks version 42.0, so I haven't tested it yet.)

Roman

У нд, 2022-03-13 у 18:56 +0200, Roman Riabenko пише:
> Dear Liliana
> 
> I reported it upstream as suggested. Here is the link to track the
> upstream issue:
> https://gitlab.gnome.org/GNOME/gnome-disk-utility/-/issues/242
> 
> I intend to report here if I get a conclusive response.
> 
> Thank you!
> Roman
> 
> 
> У чт, 2022-03-10 у 09:00 +0100, Liliana Marie Prikler пише:
> > Hi Roman,
> > 
> > Am Mittwoch, dem 09.03.2022 um 02:27 +0200 schrieb Roman Riabenko:
> > > 2. GNOME Disks utility ignored the dosfstools package which I
> > > installed
> > > in my user profile. For comparison, this applies to ntfs-3g too.
> > > In
> > > relation to ntfs-3g with UDisks this seems to be expected
> > > behavior,
> > > but
> > > it seemed to me as a bug at first:
> > > https://guix.gnu.org/en/manual/devel/en/html_node/Desktop-Services.html#index-udisks_002dservice
> > > 
> > > I do not know what is necessary to make GNOME Disk utility
> > > recognize
> > > the tools in the user profile and I am not sure it is necessary.
> > > It
> > > just seemed against the spirit of guix that the user is forced to
> > > reconfigure the system.
> > GNOME Disks inherits UDisks' limitations, as it uses it under the
> > hood.
> > With that in mind...
> > 
> > > 1. The FAT option was not grayed out in the formatting dialog.
> > > For
> > > comparison, the NTFS option was grayed out until I added ntfs-3g
> > > to
> > > the system profile too. May be GNOME Disks expects mkfs.vfat to
> > > be
> > > present, so it does not check whether it is present like it does
> > > for
> > > other file systems. 
> > > 
> > > So, it would be great for GNOME Disks to check whether mkfs.vfat
> > > is
> > > available before proceeding like it does for other filesystems.
> > You should probably report this one upstream.  A fix would be
> > relatively simple to write, see [1] for the relevant line making
> > the
> > Windows button insensitive.  The procedure
> > "gdu_utils_is_ntfs_available" spans only a few lines of code and
> > could
> > easily be adapted to check for vfat instead.
> > 
> > Cheers
> > 
> > [1]
> > https://gitlab.gnome.org/GNOME/gnome-disk-utility/-/blob/40.2/src/disks/gducreatefilesystempage.c#L209
>